Author: Jerome Charaoui <jerome@riseup.net>
Description: Adds Debian configuration paths
Bug-Debian: https://bugs.debian.org/758551, https://bugs.debian.org/899178
Forwarded: not-needed

diff -Naurp powerline.orig/powerline/__init__.py powerline/powerline/__init__.py
--- powerline.orig/powerline/__init__.py
+++ powerline/powerline/__init__.py
@@ -148,8 +148,8 @@ def get_config_paths():
 	config_dirs = os.environ.get('XDG_CONFIG_DIRS', DEFAULT_SYSTEM_CONFIG_DIR)
 	if config_dirs is not None:
 		config_paths[:0] = reversed([join(d, 'powerline') for d in config_dirs.split(':')])
-	plugin_path = join(os.path.realpath(os.path.dirname(__file__)), 'config_files')
-	config_paths.insert(0, plugin_path)
+	config_paths.insert(0, '/etc/powerline')
+	config_paths.insert(0, '/usr/share/powerline/config_files')
 	return config_paths
 
 
